# Signal Triggers

Processes can contain a specific type of robot called *Await Signa&#x6C;**.*** This robot will wait for a signal from an external system before allowing the process to proceed. Signals can contain data, which can then be used in subsequent steps in your process. This page summarizes the API endpoints for managing and triggering signals.

{% hint style="danger" %}
Dont forget to include the **Authorization** and **X-Organization** headers in every request. They have been omitted from these endpoints for brevity.&#x20;
{% endhint %}

## Index

<mark style="color:blue;">`GET`</mark> `https://api.seliom.com/signals`

Returns the list of signals stored for a specific process template. Every element in the list is the Signal ID.

#### Query Parameters

| Name           | Type   | Description                  |
| -------------- | ------ | ---------------------------- |
| template\_uuid | string | UUID of the process template |

{% tabs %}
{% tab title="200 " %}

```
{
    "signals": ['AWAIT_SIGNED_DOCUMENT']
}
```

{% endtab %}
{% endtabs %}

## Show

<mark style="color:blue;">`GET`</mark> `https://api.seliom.com/signals/:signal_id`

Returns all the data necessary to trigger the signal.

#### Path Parameters

| Name       | Type   | Description      |
| ---------- | ------ | ---------------- |
| signal\_id | string | ID of the signal |

#### Query Parameters

| Name           | Type   | Description                                           |
| -------------- | ------ | ----------------------------------------------------- |
| template\_uuid | string | UUID of the process template that contains the signal |

{% tabs %}
{% tab title="200 " %}

```
{
    "submission_elements": [
        {
            "definition_element": {
                label: "Employee Name",
                type: "text",
                name: "employee_name",
                exit_type: "text",
                required: true
            }
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Trigger a Signal Event

<mark style="color:green;">`POST`</mark> `https://api.seliom.com/signals`

Triggers the specified signal by sending an event with the signal's required data.

#### Request Body

| Name                    | Type   | Description                                                       |
| ----------------------- | ------ | ----------------------------------------------------------------- |
| submission\_elements    | array  | Form elements required to trigger the signal                      |
| process\_instance\_uuid | string | ID of the process instance (case) that is waiting for the signal. |
| signal\_id              | string | ID of the signal to trigger                                       |

{% tabs %}
{% tab title="200 " %}

```
{
    "message": "Signal event triggered successfully"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seliom.com/api/process-templates/signal-triggers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
